Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.huguesjohnson.tiamat
Class ScriptTableKey

    java.lang.Object
      com.huguesjohnson.tiamat.ScriptTableKey

    public class ScriptTableKey

extends java.lang.Object

ScriptTableKey - used to store & retrieve entries from a GameScript

Author:
  Hugues Johnson

Field Summary
`java.util.ArrayList<java.lang.String>` | `conditions` The conditions for this key.
`Event` | `event` The Event stored in this key.

Constructor Summary
`ScriptTableKey(Event event, java.util.ArrayList<java.lang.String> conditions)` Create a new instance of ScriptTableKey.
`ScriptTableKey(Event event, java.lang.String[] conditions)` Create a new instance of ScriptTableKey.

Method Summary
`boolean` | `equals(java.lang.Object object)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### event

    public Event event

  The Event stored in this key.

### conditions

    public java.util.ArrayList<java.lang.String> conditions

  The conditions for this key.

Constructor Detail

### ScriptTableKey

    public ScriptTableKey(Event event,
                          java.lang.String[] conditions)

  Create a new instance of ScriptTableKey.

  Parameters:
    `event` - The stored in this key.
    `conditions` - The conditions for this key.

### ScriptTableKey

    public ScriptTableKey(Event event,
                          java.util.ArrayList<java.lang.String> conditions)

  Create a new instance of ScriptTableKey.

  Parameters:
    `event` - The stored in this key.
    `conditions` - The conditions for this key.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hugues Johnson